//
// ONVIFCameraBacklight.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraBacklight: Codable {

    public var currentMode: ONVIFBacklightModes
    public var supportedModes: [ONVIFBacklightModes]

    public init(currentMode: ONVIFBacklightModes, supportedModes: [ONVIFBacklightModes]) {
        self.currentMode = currentMode
        self.supportedModes = supportedModes
    }

    public enum CodingKeys: String, CodingKey { 
        case currentMode = "current_mode"
        case supportedModes = "supported_modes"
    }

}
